Skip to content

Send a test notification

POST
/api/v1/account_integration/{account_integration_id}/test
curl --request POST \
--url https://app.prefactorai.com/api/v1/account_integration/013xrzp12g3nqk8ns6jadrqmpgrjkeny/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data null
account_integration_id
required
AccountIntegration_Id

A valid account integration ID

string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny
One of:

Optional idempotency key for ensuring request idempotency

string

Success

Media typeapplication/json
object
delivered
required

Whether Slack accepted the test notification

boolean
status
required
string
Allowed values: success
Example
{
"delivered": true,
"status": "success"
}

Error

Media typeapplication/json
One of:
object
code
required
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action invalid_state alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used temporarily_unavailable conflict
message
required
string
status
required
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}